/* 
  ATtiny45 
  Network communication
  Bridge FTDI VCC
  
  TinyWire master reader
  RX          PB4 Pin 3
  TX          PB3 Pin 4
  
  TinyWire slave phototransistor
  PT          PB4 Pin 4
  
  TinyWire slave rgb
  R           PB4 Pin 4
  G           PB4 Pin 3
  B           PB4 Pin 1
*/

#include <TinyWireM.h>

#include <SoftwareSerial.h>
#define rx 3
#define tx 4

SoftwareSerial mySerial(rx, tx);

#define slavePT 0x26                     // phototransistor
// #define slaveRGB 0x48                    // rgb led

//int phototransistor = 0;
int light = 0;

/*
int red = 0;
int green = 0;
int blue = 0;
*/


void setup() {
  pinMode(rx, INPUT);     
  pinMode(tx, OUTPUT);    
  TinyWireM.begin();
  mySerial.begin(9600);
}

void loop() {    
//  TinyWireM.beginTransmission(slaveRGB);

  TinyWireM.requestFrom(slavePT, 1); // Request 1 byte from slave
  light = TinyWireM.receive();
  mySerial.println(light);
  delay(100);
}
